Comments for this object
GET /v24.0/{video-id}/comments HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{video-id}/comments',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{video-id}/comments",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{video-id}/comments",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{video-id}/comments"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| Parameter | Description |
|---|---|
filterenum{stream, toplevel} | Default value: toplevelSELF_EXPLANATORY |
live_filterenum{filter_low_quality, no_filter} | Default value: filter_low_qualityFor comments on a Live streaming video, this determines whether low quality comments will be filtered out of the results (filtering is enabled by default). In all other circumstances this parameter is ignored. |
orderenum{chronological, reverse_chronological} | Preferred ordering of the comments. Accepts chronological (oldest first) and reverse chronological (newest first). If the comments can be ranked, then the order will always be ranked regardless of this modifier. The best practice for querying comments on a Live video is to continually poll for comments in the reversechronological ordering mode. |
sincedatetime | Lower bound of the time range to consider |
Reading from this edge will return a JSON formatted result:
{ "
data": [], "paging": {}, "summary": {} }
datapagingsummaryAggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=order).
| Field | Description |
|---|---|
orderenum | Order of returned comments |
total_countunsigned int32 | Total number of people who commented |
can_commentbool | Can the viewer comment |
| Error | Description |
|---|---|
| 100 | Invalid parameter |
| 80001 | There have been too many calls to this Page account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting. |
| 368 | The action attempted has been deemed abusive or is otherwise disallowed |
| 200 | Permissions error |
| 190 | Invalid OAuth 2.0 Access Token |
| 283 | That action requires the extended permission pages_read_engagement and/or pages_read_user_content and/or pages_manage_ads and/or pages_manage_metadata |
| 104 | Incorrect signature |
comments edge from the following paths: | Parameter | Description |
|---|---|
attachment_idnumeric string or integer | ID for a photo attachment to associate with this |
attachment_share_urlURL | Link to set the comment attachment to. Does not include the url in the message |
attachment_urlURL | Link to set the comment attachment to |
is_offlineboolean | Whether the comment was originally made while offline |
messageUTF-8 string | Same as the text param Supports Emoji |
textUTF-8 string | The text of the comment that allows emoji Supports Emoji |
id in the return type.id: token with structure: Comment ID, | Error | Description |
|---|---|
| 100 | Invalid parameter |
| 190 | Invalid OAuth 2.0 Access Token |
| 368 | The action attempted has been deemed abusive or is otherwise disallowed |
| 200 | Permissions error |
| 1705 | There was an error during posting. |
| 459 | The session is invalid because the user has been checkpointed |